Subject: Re: [SWIPL] SWI-Prolog interface with Perl

From: Robert Barta <[email-masked]>
Date: Sun, 3 Feb 2002 19:11:38 +1000

On Thu, Jan 31, 2002 at 10:30:38AM -0500, Paul Craven wrote:
> I would also be interested in a Perl interface.  I have a research
> application with Perl and Prolog components hooked together by pipes
> and relying on intermediate data files, but a (simple but) more 
> efficient way of calling one set of routines from the other and passing 
> data between them would be welcome.

Actually, we were thinking to build an XS interface in the next months.
A master's student is currently looking at that. Our objective is to use 
Prolog-ish features for a TopicMap query processor.

My experience with XS is zero, though, and if I were you, I would not
hold my breath.... :-)

\rho

> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > Sent: Thursday, January 31, 2002 10:13 AM
> > To: [email-masked]
> > Subject: [SWIPL] SWI-Prolog interface with Perl
> > 
> > 
> > 
> > Hello,
> > 
> > Yesteday I had a hard time trying to build a Perl interface with SWIPL,
> > using the C-interface SWIPL provides. Well, before I go on trying I
> > wanted to ask if anyone knows if such an interface is already available
> > somewhere. Or is there anyone who has done this before and can tell me
> > how to build one myself (maybe using Perls h2xs as I tried without
> > sucess).
> > 
> > Bye and thanks.
> > 
> > Stefan
> > 
> > 
> > ----------------
> > * To UNSUBSCRIBE, please use the HTML form at
> > 
> >     http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist
> > 
> > or send mail to [email-masked] using the Subject: 
> > "unsubscribe"
> > (without the quotes) and *no* message body.
> > 
> > ** An ARCHIVE of this list is maintained at
> > 
> >     http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/
> > 
>